commit:     8fdffb35b70e20dd7f52b66fe255ceb982483d12
Author:     Michael Vetter <jubalh <AT> iodoru <DOT> org>
AuthorDate: Sun Mar 11 22:27:10 2018 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Tue Mar 13 21:35:01 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8fdffb35

app-backup/snapper: version bump to 0.5.4.

Package-Manager: Portage-2.3.19, Repoman-2.3.6
Closes: https://github.com/gentoo/gentoo/pull/7426

 app-backup/snapper/Manifest             |  1 +
 app-backup/snapper/snapper-0.5.4.ebuild | 68 +++++++++++++++++++++++++++++++++
 2 files changed, 69 insertions(+)

diff --git a/app-backup/snapper/Manifest b/app-backup/snapper/Manifest
index e47a2ff9817..1b9e00e37ca 100644
--- a/app-backup/snapper/Manifest
+++ b/app-backup/snapper/Manifest
@@ -2,3 +2,4 @@ DIST snapper-0.2.8.tar.bz2 475053 BLAKE2B 
f6e4046f572ce70bc811e99bfe53d043ab2ca3
 DIST snapper-0.3.3.tar.bz2 545800 BLAKE2B 
dca7b6912beb015335324144ca60e1f4667e96cb3d057ced4c68b7bc66a4895f2b3c068582137cd40fd5a267f3178e462029428154c860f67846163adba05c5d
 SHA512 
f24f6d121f9a613549899b7bf3751f6d9c101db716d7bc3858a2add9f90e08861fc46927ce0130efc232240a91e24934820d0c2b1b65f206ac80d04cdaaec39d
 DIST snapper-0.4.1.tar.bz2 570673 BLAKE2B 
7b36cac2bdb84d80817be496ba1aa0984ba48680468bfc04fa47a10f452da0dbe1a94fac70d6c7a8ba03f76047ebbba579924f35b4e86c2d30c28e222cba38ec
 SHA512 
23d12a4685039ce629333854bc3e8a90a524bf1207590102ccfbc358473e7bef9ca6a723d2bc8a2f0f7466c4b34dce724b806d24762ae54b26292e730a10a70c
 DIST snapper-0.5.0.tar.bz2 571716 BLAKE2B 
3eb1db265566d0129c3177dcf8d62848108df918eb705ae149672664e215a17b760279e35d1ac658b18bb6e6fa05f5102d05c3a00e45fbfe73093b073fc3f8f9
 SHA512 
37487a1230825dc5d533e5c864965d9d05c2a3f4e12e5ae910f2721ef2497be2dafedcd13148d7246896551eae11cbcb925e04b58f799ea3d644eea329d3da29
+DIST snapper-0.5.4.tar.bz2 579172 BLAKE2B 
ce23b56047b818946f1b885308abd21ce6df216b890f784c3b57d8bd44a0a26bebf992b4d2a8ff36e11e096b0d589197e81bf223dd018feb9dcbeaa04c03a904
 SHA512 
fed417ef817526ab8c2110a70f5e9750642d7f427619efa52c2ed2e3adb83ff47314cdd8843e6331ce1c37fca79367a0a5ff8c6ba394602b24399eb5e6b97cd0

diff --git a/app-backup/snapper/snapper-0.5.4.ebuild 
b/app-backup/snapper/snapper-0.5.4.ebuild
new file mode 100644
index 00000000000..dfc07db3105
--- /dev/null
+++ b/app-backup/snapper/snapper-0.5.4.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DESCRIPTION="Command-line program for btrfs and ext4 snapshot management"
+HOMEPAGE="http://snapper.io/";
+SRC_URI="ftp://ftp.suse.com/pub/projects/snapper/${P}.tar.bz2";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+btrfs ext4 lvm pam xattr"
+
+RDEPEND="dev-libs/boost:=[threads]
+       dev-libs/libxml2
+       dev-libs/icu:=
+       sys-apps/acl
+       sys-apps/dbus
+       sys-apps/util-linux
+       sys-libs/zlib
+       virtual/libintl
+       btrfs? ( >=sys-fs/btrfs-progs-3.17.1 )
+       ext4? ( sys-fs/e2fsprogs )
+       lvm? ( sys-fs/lvm2 )
+       pam? ( sys-libs/pam )
+       xattr? ( sys-apps/attr )"
+
+DEPEND="${RDEPEND}
+       sys-devel/gettext
+       virtual/pkgconfig"
+
+REQUIRED_USE="|| ( btrfs ext4 lvm )"
+
+PATCHES=(
+       "${FILESDIR}"/cron-confd.patch
+)
+
+src_configure() {
+       local myeconfargs=(
+               --with-conf="/etc/conf.d"
+               --docdir="/usr/share/doc/${PF}"
+               --disable-zypp
+               --enable-rollback
+               $(use_enable btrfs)
+               $(use_enable ext4)
+               $(use_enable lvm)
+               $(use_enable pam)
+               $(use_enable xattr xattrs)
+       )
+
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       default
+       # Existing configuration file required to function
+       newconfd data/sysconfig.snapper snapper
+       find "${D}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+       elog "In order to use Snapper, you need to set up"
+       elog "at least one config first. To do this, run:"
+       elog "snapper create-config <subvolume>"
+       elog "For more information, see man (8) snapper or"
+       elog "http://snapper.io/documentation.html";
+}

Reply via email to